Subject: Re: Patch boot/common/relocate.S to start kernel at 0x000c

From: Dan Malek <[email-masked]>
Date: Tue, 04 Mar 2003 18:21:30 -0500

Dale Farnsworth wrote:

> -	nop	/* used by __secondary_hold on prep (mtx) and chrp smp */
> -	nop	/* used by __secondary_hold on prep (mtx) and chrp smp */
> +	/*
> +	 * The first two words are used by __secondary_hold on SMP systems.
> +	 * The second word may be overwritten before the first cpu runs
> +	 * here, so we branch around it.
> +	 */
> +	b	__start
> +	nop
>  	nop

I thought of this, but the comment on the first nop bothered me.
Was it just a cut/paste without updating the comment, or could the nop
and location zero be used by MP systems just like the one at location 0x04?

Thanks.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/